# Coins

### Get Coins <a href="#get-collections" id="get-collections"></a>

*Included in: Basic, Pro*

`GET` `{INDEXER_API}/udt/list`

Returns ordered list of coins with detailed information about them.

Sample query:&#x20;

```powershell
$ curl --location '{INDEXER_API}/udt/list?limit=10&offset=0&udt_type=0' \
--header 'x-api-key: {YOUR X-API-KEY}'
```

**Query Parameters**

| Name      | Type   | Description                         |
| --------- | ------ | ----------------------------------- |
| udt\_type | uint   | <p>0 (default): sudt<br>1: xudt</p> |
| limit     | uint   | limit >= 0                          |
| offset    | uint   | offset >= 0                         |
| keyword   | string | search text                         |

{% tabs %}
{% tab title="200: OK" %}

```json
[
    {
        "udt_info": {
            "decimal": 8,
            "name": "Seal",
            "symbol": "Seal"
        },
        "udt_type": 1,
        "type_script": {
            "code_hash": "5e7a36a77e68eecc013dfa2fe6a23f3b6c344b04005808694ae6dd45eea4cfd5",
            "args": "2ae639d6233f9b15545573b8e78f38ff7aa6c7bf8ef6460bf1f12d0a76c09c4e",
            "hash_type": "type",
            "script_hash": "4d7ec281d0b2327dbc0fe9e3bf7fc2f7f81824ad7b75863770638b6dc704b13f"
        },
        "total_supply": "10000000",
        "total_holders": 5
    },
    ...
]
```

{% endtab %}

{% tab title="429: Too Many Requests" %}

```json
"Rate limit exceeded. Try again later"
```

{% endtab %}

{% tab title="401: Authorization Required" %}

```json
"Missing or invalid x-api-key"
```

{% endtab %}

{% tab title="401: Invalid API Key" %}

```json
"Invalid x-api-key"
```

{% endtab %}
{% endtabs %}

### Get Live Cells <a href="#get-collections" id="get-collections"></a>

*Included in: Basic, Pro*

`GET` `{INDEXER_API}/udt/outputs`

Returns ordered live cells.

Sample query:&#x20;

```sh
$ curl --location '{INDEXER_API}/udt/outputs?limit=10&offset=0&address=ckb1qqunmue4ncels5qse4j6839yy68h9k27c6cyj7q6j9kxsze3a2dgsqffyu6qv6v0xm5mmardkszpw6zekzar567lwqjcx0ml6w6fz5rqngfq79ec' \
--header 'x-api-key: {YOUR X-API-KEY}'
```

**Query Parameters**

| Name    | Type   | Description     |
| ------- | ------ | --------------- |
| limit   | uint   | limit >= 0      |
| offset  | uint   | offset >= 0     |
| address | string | the CKB address |

{% tabs %}
{% tab title="200: OK" %}

```json
[
    {    
        "amount": "100000",
        "output_index": 0,
        "tx_hash": "6992f03fb981744397642fb92b11feea64606268a4e99de7a390bf87a6927a57",
        "capacity": 14200000000,
        "data": "a0860100000000000000000000000000",
        "lock_script": {
            "code_hash": "9bd7e06f3ecf4be0f2fcd2188b23f1b9fcc88e5d4b65a8637b17723bbda3cce8",
            "args": "bdbd850db5ce1590070e32ca25c444db9126e631",
            "hash_type": "type",
            "address": "ckb1qzda0cr08m85hc8jlnfp3zer7xulejywt49kt2rr0vthywaa50xwsqdahkzsmdwwzkgqwr3jegjug3xmjynwvvgfq660q",
            "script_hash": "95d1535f643e4bda1b95365736b10cf51864366a67f82f30c1cfa80fed9482d9"
        },
        "type_script": {
            "code_hash": "5e7a36a77e68eecc013dfa2fe6a23f3b6c344b04005808694ae6dd45eea4cfd5",
            "args": "278e9c538c354bd3ca7872799d330e8a9ff932351d191ff68a2517f2208a4c81",
            "hash_type": "type",
            "script_hash": "a531331bc27b0674c6df70a4cc2d86c3bf81f9ce2df4e8ec5f76a6e074943640"
        },
        "udt_info": {
            "decimal": 0,
            "name": "",
            "symbol": ""
        }
    },
    ...
]
```

{% endtab %}

{% tab title="429: Too Many Requests" %}

```json
"Rate limit exceeded. Try again later"
```

{% endtab %}

{% tab title="401: Authorization Required" %}

```json
"Missing or invalid x-api-key"
```

{% endtab %}

{% tab title="401: Invalid API Key" %}

```json
"Invalid x-api-key"
```

{% endtab %}
{% endtabs %}
